package com.glxp.mipsdl.req.ucloud;


import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

public class ModifySaleRequest {
    public String getBillAction() {
        return billAction;
    }

    public void setBillAction(String billAction) {
        this.billAction = billAction;
    }

    private String billAction;
    @JSONField(name = "GeneralBillVO")
    private List<GeneralBillVOBean> GeneralBillVO;

    public List<GeneralBillVOBean> getGeneralBillVO() {
        return GeneralBillVO;
    }

    public void setGeneralBillVO(List<GeneralBillVOBean> GeneralBillVO) {
        this.GeneralBillVO = GeneralBillVO;
    }

    public static class GeneralBillVOBean {
        /**
         * ChildrenVO : [{"cinventoryid":"1203040506001","crowno":"10","ninnum":"10","nprice":"10"}]
         * ParentVO : {"cbiztype":"C010","coperatorid":"18959632283","cwarehouseid":"0602","pk_calbody":"1110","pk_corp":"1110","vbillcode":"CR2103230001","vnote":"11111"}
         */
        @JSONField(name = "ParentVO")
        private ModifySaleRequest.GeneralBillVOBean.ParentVOBean ParentVO;
        @JSONField(name = "ChildrenVO")
        private List<ChildrenVOBean> ChildrenVO;

        public ParentVOBean getParentVO() {
            return ParentVO;
        }

        public void setParentVO(ParentVOBean ParentVO) {
            this.ParentVO = ParentVO;
        }

        public List<ChildrenVOBean> getChildrenVO() {
            return ChildrenVO;
        }

        public void setChildrenVO(List<ChildrenVOBean> ChildrenVO) {
            this.ChildrenVO = ChildrenVO;
        }

        public static class ParentVOBean {
            /**
             * cbiztype : C010
             * coperatorid : 18959632283
             * cwarehouseid : 0602
             * pk_calbody : 1110
             * pk_corp : 1110
             * vbillcode : CR2103230001
             * vnote : 11111
             */

            private String cbiztype;
            private String coperatorid;
            private String cwarehouseid;
            private String pk_calbody;
            private String pk_corp;
            private String vbillcode;
            private String vnote;
            private String ccustomerid;

            public String getCbiztype() {
                return cbiztype;
            }

            public void setCbiztype(String cbiztype) {
                this.cbiztype = cbiztype;
            }

            public String getCoperatorid() {
                return coperatorid;
            }

            public void setCoperatorid(String coperatorid) {
                this.coperatorid = coperatorid;
            }

            public String getCwarehouseid() {
                return cwarehouseid;
            }

            public void setCwarehouseid(String cwarehouseid) {
                this.cwarehouseid = cwarehouseid;
            }

            public String getPk_calbody() {
                return pk_calbody;
            }

            public void setPk_calbody(String pk_calbody) {
                this.pk_calbody = pk_calbody;
            }

            public String getPk_corp() {
                return pk_corp;
            }

            public void setPk_corp(String pk_corp) {
                this.pk_corp = pk_corp;
            }

            public String getVbillcode() {
                return vbillcode;
            }

            public void setVbillcode(String vbillcode) {
                this.vbillcode = vbillcode;
            }

            public String getVnote() {
                return vnote;
            }

            public void setVnote(String vnote) {
                this.vnote = vnote;
            }

            public String getCcustomerid() {
                return ccustomerid;
            }

            public void setCcustomerid(String ccustomerid) {
                this.ccustomerid = ccustomerid;
            }
        }

        public static class ChildrenVOBean {
            /**
             * cinventoryid : 1203040506001
             * crowno : 10
             * ninnum : 10
             * nprice : 10
             */

            private String cinventoryid;
            private String noutnum;
            private String nprice;
            private String crowno;

            public String getCrowno() {
                return crowno;
            }

            public void setCrowno(String crowno) {
                this.crowno = crowno;
            }

            public String getCinventoryid() {
                return cinventoryid;
            }

            public void setCinventoryid(String cinventoryid) {
                this.cinventoryid = cinventoryid;
            }


            public String getNprice() {
                return nprice;
            }

            public void setNprice(String nprice) {
                this.nprice = nprice;
            }

            public String getNoutnum() {
                return noutnum;
            }

            public void setNoutnum(String noutnum) {
                this.noutnum = noutnum;
            }
        }
    }
}
